> ## Documentation Index
> Fetch the complete documentation index at: https://developers.ebioro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Refund

> Fetches details of a specific refund by its ID for the logged-in merchant.



## OpenAPI

````yaml GET /refunds/{id}
openapi: 3.0.0
info:
  title: Ebioro Merchant API
  description: >-
    API for merchant payment processing on Stellar. Supports direct USDC
    payments and cross-chain deposits from multiple blockchains.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /refunds/{id}:
    get:
      tags:
        - Refunds
      summary: Retrieves a refund
      description: >-
        Fetches details of a specific refund by its ID for the logged-in
        merchant.
      operationId: getRefund
      parameters:
        - name: id
          required: true
          in: path
          description: The ID of the refund to retrieve
          schema:
            type: string
        - name: x-digest-timestamp
          in: header
          description: Current Unix timestamp
          required: true
          schema:
            type: string
        - name: x-digest-key
          in: header
          description: Your public api key
          required: true
          schema:
            type: string
        - name: x-digest-signature
          in: header
          description: Digest Auth Signature
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            On success the endpoint will return a JSON object with detailed
            refund information.
          content:
            application/json:
              example:
                amount:
                  asset_id: >-
                    USDC:GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5
                  value: 1000
                status: refunded
                description: Refund for overcharge
                settlement_Id: >-
                  a1b8a00ed41563f78be51e66c6e1f435129b30a4dd3672580633bc5758459e1d
                metadata: {}
                refund_id: rf_fpaBPVF1t_
                payment:
                  id: pt_AEtKAcN9d-
                  createdAt: '2023-11-18T20:46:15.652Z'
                  updatedAt: '2023-11-18T20:46:15.652Z'
                  expiresAt: '2023-11-18T21:16:15.649Z'
                  mode: test
                  amount:
                    value: 200
                    currency: USD
                  description: Buying phone
                  status: open
                  settlement_status: open
                  redirectUrl: https://example.com
                  webhookUrl: https://example.com/webhook
                  hostedUrl: >-
                    https://sandbox-pay.ebioro.com/payments?paymentId=pt_QKTDINJ662&auth_token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0LmViaW9yby5jb20iLCJhdWQiOiJodHRwczovL3Rlc3QtZWJpb3JvLW1lcmNoYW50LXNlcnZpY2UtMzgxNTIyNmU5MmE4Lmhlcm9rdWFwcC5jb20iLCJzdWIiOiJjMzMyZTlkYi1kYjQ1LTQ1ZmQtOTFmMy03NGNiNWU5NTQzYzQiLCJpYXQiOjE3MTQwNjcxOTIsImV4cCI6MTcxNDA3MDc5Mn0.EY5xyWptYzD1HgJPUev6LGMRFFZ8HDZOsE2Vk35OASk&lang=es
                  qrCode: >-
                    web+stellar:pay?destination=GAPU7KB2B2USVSWBFJRHGX7AYIWYKF2W44WWDCYEJTEER5D2QYEGD5GM&amount=2.68&asset_code=USDC&asset_issuer=GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5&memo=pt_AEtKAcN9d-&memo_type=text&msg=Buying+phone
                  merchantName: Test Store
                  cancelUrl: https://example.com/cancel
                  locale: es
                  metadata: {}
                  stellarTxId: >-
                    1b680e9577572a0c3e648dcc1686373c87417d9ec17614d0ed5bf0ca397f8fcd
                  settlement_stellarTxId: >-
                    1b680e9577572a0c3e648dcc1686373c87417d9ec17614d0ed5bf0ca397f8fcd
                  settlement_currency: USDC
                  settlement_amount: 2663
                  history:
                    - time: 1714124827333
                      status: success
                      description: Payment created
                  sender_account: GDFJ7PTIJGDINCLD7ZWZMYURELPMP6JZ6NMJBDBHKDXBFFWBC4SUFA4F
                  asset_id: >-
                    USDC:GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5
                  refunded: false
                  type: order
              schema:
                type: object
                properties:
                  amount:
                    type: object
                    properties:
                      asset_id:
                        type: string
                        description: >-
                          Asset identifier combining both the Asset Code and the
                          Asset Issuer separated by a colon.
                      value:
                        type: number
                        description: >-
                          The exact amount you want to refund in the smallest
                          unit of the currency. Ensure the amount matches the
                          asset's smallest denomination.
                  status:
                    type: string
                    description: >-
                      The status of the refund. Available values are open,
                      failed, refunded
                  description:
                    type: string
                    description: Description of the refund.
                    nullable: true
                  settlement_Id:
                    type: string
                    description: Settlement ID related to the refund.
                    nullable: true
                  metadata:
                    type: object
                    description: Additional metadata related to the refund.
                    nullable: true
                  refund_id:
                    type: string
                    description: Refund identifier.
                    nullable: true
                  payment:
                    type: object
                    properties:
                      id:
                        type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      expiresAt:
                        type: string
                      mode:
                        type: string
                      amount:
                        type: object
                        properties:
                          value:
                            type: number
                          currency:
                            type: string
                      description:
                        type: string
                      status:
                        type: string
                      settlement_status:
                        type: string
                      redirectUrl:
                        type: string
                      webhookUrl:
                        type: string
                      hostedUrl:
                        type: string
                      qrCode:
                        type: string
                      merchantName:
                        type: string
                      cancelUrl:
                        type: string
                      locale:
                        type: string
                      metadata:
                        type: object
                      stellarTxId:
                        type: string
                      settlement_stellarTxId:
                        type: string
                      settlement_currency:
                        type: string
                      settlement_amount:
                        type: number
                      history:
                        type: array
                        items:
                          type: object
                          properties:
                            time:
                              type: number
                            status:
                              type: string
                            description:
                              type: string
                      sender_account:
                        type: string
                      asset_id:
                        type: string
                      refunded:
                        type: boolean
                      type:
                        type: string
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                reason: Bad Request
                statusCode: 400
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                  reason:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                reason: Unauthorized
                statusCode: 401
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                  reason:
                    type: string
        '404':
          description: Payment not found - The specified payment ID does not exist
          content:
            application/json:
              example:
                reason: Not Found
                statusCode: 404
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                  reason:
                    type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                reason: Internal Server Error
                statusCode: 500
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                  reason:
                    type: string
      security:
        - customHeader: []
components:
  securitySchemes:
    customHeader:
      type: apiKey
      in: header
      name: x-digest-key
      description: Your public API key

````